org.keycloak.connections.mongo.impl.types

## Class BasicDBObjectMapper<S>

- java.lang.Object
- - org.keycloak.connections.mongo.impl.types.BasicDBObjectMapper<S>

- All Implemented Interfaces:
    Mapper<com.mongodb.BasicDBObject,S>

      public class BasicDBObjectMapper<S>
      extends Object
      implements Mapper<com.mongodb.BasicDBObject,S>

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicDBObjectMapper(MongoStoreImpl mongoStoreImpl, MapperRegistry mapperRegistry, Class<S> expectedEntityType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `S` | `convertObject(MapperContext<com.mongodb.BasicDBObject,S> context)` Convert object from one type to expected type
    `Class<S>` | `getExpectedReturnType()`
    `Class<? extends com.mongodb.BasicDBObject>` | `getTypeOfObjectToConvert()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicDBObjectMapper

          public BasicDBObjectMapper(MongoStoreImpl mongoStoreImpl,
                             MapperRegistry mapperRegistry,
                             Class<S> expectedEntityType)

  - ### Method Detail

    - #### convertObject

          public S convertObject(MapperContext<com.mongodb.BasicDBObject,S> context)

      Description copied from interface: `Mapper`
      Convert object from one type to expected type
      Specified by:
        `convertObject` in interface `Mapper<com.mongodb.BasicDBObject,S>`
      Parameters:
        `context` - Encapsulates reference to converted object and other things, which might be helpful in conversion
      Returns:
        converted object

    - #### getTypeOfObjectToConvert

          public Class<? extends com.mongodb.BasicDBObject> getTypeOfObjectToConvert()

      Specified by:
        `getTypeOfObjectToConvert` in interface `Mapper<com.mongodb.BasicDBObject,S>`

    - #### getExpectedReturnType

          public Class<S> getExpectedReturnType()

      Specified by:
        `getExpectedReturnType` in interface `Mapper<com.mongodb.BasicDBObject,S>`

Copyright © 2014. All Rights Reserved.